Subject: Re: [PATCH v2 28/51] refs.c: rename ref_array -> ref_dir

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Dec 2011 16:19:19 -0800

Junio C Hamano <[email-masked]> writes:

>> Namely, we should figure out what code wants to set extra refs and or
>> wants to include extra refs in its iteration over references. The
>> setters don't have to be changed, but the readers should be.
>
> You read me correctly. That is exactly what I meant by "extra ref API" in
> my earlier response.

Actually, I do not think it even needs to be the "extra *REF* API". The
only thing that matters is that these commits are considered to be extra
anchor point in the history, in addition to the usual rule of considering
that everything reachable from our refs is complete. The data structure to
hold them does not even have to be a "struct ref". Just an array of object
names (or "struct object *") should suffice.